package hr.fer.tel.ruazosa.io;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ReadingArrayOfData
{

  /**
   * @param args
   */
  public static void main( String[] args )
  {
    
    readWithBuffer();
    readWithoutBuffer();
  }

  private static void readWithoutBuffer()
  {
    long startTime = System.currentTimeMillis();
    
    try
    {
      FileReader in = new FileReader( "pomocni.txt" );

      int c;
      while ( ( c = in.read() ) != -1 )
      {
        // napravi nesto s procitanim podatkom
      }
      in.close();
    }
    catch ( FileNotFoundException e )
    {
      System.err.println( "Nemogu nai datoteku: pomocni.txt" );
      e.printStackTrace();
    }
    catch ( IOException e )
    {
      e.printStackTrace();
    }

    long endTime = System.currentTimeMillis();
    System.out.println( "Ukupno vrijeme: " + ( endTime - startTime ) );
  }

  private static void readWithBuffer()
  {
    long startTime = System.currentTimeMillis();
    
    try
    {
      FileReader in = new FileReader( "pomocni.txt" );

      char[] buffer = new char[20000];
      int characterRead;
      while ( ( characterRead = in.read(buffer) ) != -1 )
      {
        // napravi nesto s procitanim podacima 
      }
      in.close();
    }
    catch ( FileNotFoundException e )
    {
      System.err.println( "Nemogu nai datoteku: pomocni.txt" );
      e.printStackTrace();
    }
    catch ( IOException e )
    {
      e.printStackTrace();
    }
    
    long endTime = System.currentTimeMillis();
    System.out.println( "Ukupno vrijeme buffer: " + ( endTime - startTime ) );
  }
}
